> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/native-create/{revision_id}/approve
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/native-create/{revision_id}/approve:
    post:
      tags:
        - SEO and Content Create
      summary: Approve
      operationId: >-
        approve_api_v1_brands__brand_id__brand_intelligence_native_create__revision_id__approve_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: revision_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Revision Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NativeCreateApprovalRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeCreateApprovalResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NativeCreateApprovalRequest:
      properties:
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        childContext:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateChildContext'
            - type: 'null'
        idempotencyKey:
          type: string
          maxLength: 128
          minLength: 1
          title: Idempotencykey
      additionalProperties: false
      type: object
      required:
        - revisionId
        - idempotencyKey
      title: NativeCreateApprovalRequest
      description: Explicit review decision; publishing still checks current authorization.
    NativeCreateApprovalResponse:
      properties:
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        childContext:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateChildContext'
            - type: 'null'
        reviewState:
          type: string
          const: approved
          title: Reviewstate
        approvedAt:
          type: string
          format: date-time
          title: Approvedat
      additionalProperties: false
      type: object
      required:
        - revisionId
        - reviewState
        - approvedAt
      title: NativeCreateApprovalResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NativeCreateChildContext:
      properties:
        programRevisionId:
          type: string
          format: uuid
          title: Programrevisionid
        assetId:
          type: string
          format: uuid
          title: Assetid
        childRevisionId:
          type: string
          format: uuid
          title: Childrevisionid
      additionalProperties: false
      type: object
      required:
        - programRevisionId
        - assetId
        - childRevisionId
      title: NativeCreateChildContext
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````